com.fasterxml.jackson.dataformat.smile

## Class SmileGenerator.SharedStringNode

- java.lang.Object
- - com.fasterxml.jackson.dataformat.smile.SmileGenerator.SharedStringNode

Enclosing class:
  SmileGenerator

    protected static final class SmileGenerator.SharedStringNode
    extends Object

Helper class used for keeping track of possibly shareable String references (for field names and/or short String values)

### Field Summary

Fields
`int` `index`
`SmileGenerator.SharedStringNode` `next`
`String` `value`

### Constructor Summary

Constructors
Constructor and Description
`SharedStringNode(String value, int index, SmileGenerator.SharedStringNode next)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### value

    public final String value

#### index

    public final int index

#### next

    public SmileGenerator.SharedStringNode next

### Constructor Detail

#### SharedStringNode

    public SharedStringNode(String value,
                            int index,
                            SmileGenerator.SharedStringNode next)